Skip to main content
POST
Process Payment

Headers

Abp-TenantId
string
required

Your unique Merchant ID assigned by CommercePay.

Authorization
string
required

Your API credentials used for authentication (typically a Bearer token).

cap-signature
string
required

A unique security hash used to verify the integrity of the request body. See Generate Signature for how to generate this.

Body

application/json
type
enum<number>
required

1 = PreAuth, 2 = FullPayment, 3 = PartialPayment, 4 = Verify

Available options:
1,
2,
3,
4
transactionNumber
string
required

Unique CommercePay Transaction Number

Maximum string length: 24
amount
integer
required

The transaction payment value. This field exclusively accepts integer units where the final decimals are represented as whole values (e.g., an amount value of 1000 translates to 10.00 in the system backend).

Example:

100

channelDetails
object

[Optional]

savePayment
boolean | null

[Conditional for Tokenize Payment] To save user info for subsequent payment

LastPayment
boolean | null

Response

200 - application/json

Success

status
enum<integer>
Available options:
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12,
13,
14,
15,
16,
17,
18,
19,
20
type
enum<number>

1 = PreAuth, 2 = FullPayment, 3 = PartialPayment, 4 = Verify

Available options:
1,
2,
3,
4
transactionNumber
string

Unique CommercePay Transaction Number

Maximum string length: 24
partialTransactionNumber
string | null
amount
integer

Please take note: The Amount parameter only accepts integer units. For example, 1000 is equivalent to 10.00 for the backend.

Invalid Format: 1,000.00

Example:

100